---@meta

---@class UOptimusGroomComponentSource : UOptimusComponentSource
local UOptimusGroomComponentSource = {}


---@class UOptimusGroomDataInterface : UOptimusComputeDataInterface
local UOptimusGroomDataInterface = {}


---@class UOptimusGroomDataProvider : UComputeDataProvider
---@field Groom UGroomComponent
local UOptimusGroomDataProvider = {}



---@class UOptimusGroomExecDataInterface : UOptimusComputeDataInterface
---@field domain EOptimusGroomExecDomain
local UOptimusGroomExecDataInterface = {}



---@class UOptimusGroomExecDataProvider : UComputeDataProvider
---@field GroomComponent UGroomComponent
---@field domain EOptimusGroomExecDomain
local UOptimusGroomExecDataProvider = {}



---@class UOptimusGroomGuideDataInterface : UOptimusComputeDataInterface
local UOptimusGroomGuideDataInterface = {}


---@class UOptimusGroomGuideDataProvider : UComputeDataProvider
---@field Groom UGroomComponent
local UOptimusGroomGuideDataProvider = {}



---@class UOptimusGroomWriteDataInterface : UOptimusComputeDataInterface
local UOptimusGroomWriteDataInterface = {}


---@class UOptimusGroomWriteDataProvider : UComputeDataProvider
---@field GroomComponent UGroomComponent
local UOptimusGroomWriteDataProvider = {}



